#!/usr/bin/env python
# quitter.py - provide a button to quit this "program"

# Copyright (c) 2010-2011 Algis Kabaila. All rights reserved.
# This program or module is free software: you can redistribute it and/or
# modify it under the terms of the GNU General Public Licence as published
# by the Free Software Foundation, either version 2 of the Licence, or
# version 3 of the Licence, or (at your option) any later version. It is
# provided for educational purposes and is distributed in the hope that
# it will be useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See
# the GNU General Public Licence for more details.

import sys

from PyQt4.QtGui import QMainWindow, QApplication, QAction, QIcon
#from PySide.QtGui import QMainWindow, QPushButton, QApplication
 
from ui_hi import Ui_MainWindow
import qrc_hi

class MainWindow(QMainWindow, Ui_MainWindow):
    def __init__(self, parent=None):
        super(MainWindow, self).__init__(parent)
        self.setupUi(self)
        iconToolBar = self.addToolBar('') 
        self.action_Hi = QAction(QIcon(":/hi.png"), "&Hi", self)
        iconToolBar.addAction(self.action_Hi)
        self.action_Hi.triggered.connect(self.hi)
        
    def hi(self):
        self.lineEdit.setText(' Hi, Detlev!')
    
if __name__ == '__main__':
    app = QApplication(sys.argv)
    frame = MainWindow()
    frame.show()    
    app.exec_()
    
